tbb::internal::stored_pack<> Struct Template Reference

`#include <_template_helpers.h>`

Collaboration diagram for tbb::internal::stored_pack<>:

## Public Types

typedef stored_pack | pack_type

## Public Member Functions

| stored_pack ()

## Static Protected Member Functions

template<typename Ret , typename F , typename... Preceding>
static Ret | call (F &&f, const pack_type &, Preceding &&... params)
template<typename Ret , typename F , typename... Preceding>
static Ret | call (F &&f, pack_type &&, Preceding &&... params)

## Friends

template<typename F , typename Pack >
void | call (F &&f, Pack &&p)
| Calls the given function with arguments taken from a stored_pack. More...
template<typename Ret , typename F , typename Pack >
Ret | call_and_return (F &&f, Pack &&p)

## Detailed Description

### template<>
struct tbb::internal::stored_pack<>

Definition at line 109 of file _template_helpers.h.

## Member Typedef Documentation

## pack_type

typedef stored_pack tbb::internal::stored_pack<>::pack_type

Definition at line 111 of file _template_helpers.h.

## Constructor & Destructor Documentation

## stored_pack()

tbb::internal::stored_pack<>::stored_pack | ( |  | ) |

inline

Definition at line 112 of file _template_helpers.h.

{}

## Member Function Documentation

## call() [1/2]

template<typename Ret , typename F , typename... Preceding>

static Ret tbb::internal::stored_pack<>::call | ( | F && | f,
|  | const pack_type & | ,
|  | Preceding &&... | params
| ) |  |

inline static protected

Definition at line 122 of file _template_helpers.h.

{
return std::forward<F>(f)( std::forward<Preceding>(params)... );
}

## call() [2/2]

template<typename Ret , typename F , typename... Preceding>

static Ret tbb::internal::stored_pack<>::call | ( | F && | f,
|  | pack_type && | ,
|  | Preceding &&... | params
| ) |  |

inline static protected

Definition at line 126 of file _template_helpers.h.

{
return std::forward<F>(f)( std::forward<Preceding>(params)... );
}

## Friends And Related Function Documentation

## call

template<typename F , typename Pack >

void call | ( | F && | f,
|  | Pack && | p
| ) |  |

friend

Calls the given function with arguments taken from a stored_pack.

Definition at line 175 of file _template_helpers.h.

{
strip<Pack>::type::template call<void>( std::forward<F>(f), std::forward<Pack>(p) );
}

## call_and_return

template<typename Ret , typename F , typename Pack >

Ret call_and_return | ( | F && | f,
|  | Pack && | p
| ) |  |

friend

Definition at line 180 of file _template_helpers.h.

{
return strip<Pack>::type::template call<Ret>( std::forward<F>(f), std::forward<Pack>(p) );
}

The documentation for this struct was generated from the following file:

- _template_helpers.h

p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.